## glib2.0 2.6.2-1osso6

=== debian/changelog ===
glib2.0 (2.6.2-1osso6) unstable; urgency=low

  * Saving some memory with a patch to fix Glib bug 160655.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 22 Apr 2005 12:39:28 +0300

glib2.0 (2.6.2-1osso5) unstable; urgency=low

  * Restored g_log(), g_print() and g_printerr() normal functionality.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 22 Mar 2005 12:52:31 +0200

glib2.0 (2.6.2-1osso4) unstable; urgency=low

  * g_print and g_printerr redefined as zero macros when DEBUG is not defined
  * undefining ENABLE_NLS 

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Sat, 12 Mar 2005 20:21:12 +0200

glib2.0 (2.6.2-1osso3) unstable; urgency=low

  * Fixed bug 6441.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 24 Feb 2005 16:50:19 +0200

glib2.0 (2.6.2-1osso2) unstable; urgency=low

  * one more fix in gobject.h for debugging stuff

 -- Alexander Kanevskiy <alexander.kanevskiy@nokia.com>  Mon, 21 Feb 2005 20:17:28 +0200

glib2.0 (2.6.2-1osso1) unstable; urgency=low

  * fix for g_log()

 -- Alexander Kanevskiy <alexander.kanevskiy@nokia.com>  Mon, 21 Feb 2005 19:18:48 +0200

glib2.0 (2.6.2-1osso) unstable; urgency=low

  * Added Kuisma Salonen's gscanner patches.
  * Made g_log() and g_logv() zero macros in gmessages.h when DEBUG
    is not defined (functions are still there [but empty], so ABI is
    not broken)

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 18 Feb 2005 14:04:11 +0200

glib2.0 (2.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Sat,  5 Feb 2005 19:23:59 +0100

glib2.0 (2.6.1-3) unstable; urgency=low

  * debian/rules:
    - use "-plibglib$(apiver)-udeb", fix the libglib2.0-0-dbg package.

 -- Sebastien Bacher <seb128@debian.org>  Sun, 23 Jan 2005 22:24:21 +0100

glib2.0 (2.6.1-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control.in:
    - rename libglib2.0-dbg to libglib2.0-0-dbg.
    - set myself as maintainer.
  * debian/rules:
    - use dh_strip to make the debug package.

 -- Sebastien Bacher <seb128@debian.org>  Sun, 16 Jan 2005 12:59:21 +0100

glib2.0 (2.6.1-1) experimental; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Sat,  8 Jan 2005 14:44:05 +0100

glib2.0 (2.6.0-1) experimental; urgency=low

  * New upstream release.
  * debian/rules:
    - updated the shlibs.
  * debian/watch:
    - updated.

 -- Sebastien Bacher <seb128@debian.org>  Mon, 27 Dec 2004 16:15:36 +0100

glib2.0 (2.4.8-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat,  4 Dec 2004 18:52:44 +0100

glib2.0 (2.4.7-1) unstable; urgency=medium

  * New upstream bugfix release.
  * [debian/patches/000_glib-link.patch] Updated.
  * [debian/patches/001_translations.patch] Dropped.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri,  8 Oct 2004 22:27:49 +0200

glib2.0 (2.4.6-4) unstable; urgency=medium

  * [debian/patches/001_translations.patch] Updated translations from CVS and
    relibtoolise to use new translations.
  * [debian/rules] Fixed udeb naming on Hurd.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri,  8 Oct 2004 12:43:09 +0200

glib2.0 (2.4.6-3) unstable; urgency=medium

  Colin Watson <cjwatson@debian.org>: (Closes: #274053)
  * [debian/rules] binary-arch depends on binary-arch-udeb.
  * [debian/rules] Strip udeb!

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 29 Sep 2004 19:39:22 +0200

glib2.0 (2.4.6-2) unstable; urgency=medium

  * [debian/patches/001_translations.patch] Updated translations from CVS.
  * [debian/rules] Tightened "shver" to tighten shlibs, as some
    incompatibilities with older versions turned up with gconf.
    (Closes: #265659)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 24 Aug 2004 18:50:04 +0200

glib2.0 (2.4.6-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 15 Aug 2004 18:34:27 +0200

glib2.0 (2.4.5-2) unstable; urgency=low

  * debian/patches/000_glib-link.patch:
    - patch from Jurij Smakov <jurij@wooyd.org> to link with all the libs 
      (Closes: #263130).

 -- Sebastien Bacher <seb128@debian.org>  Tue,  3 Aug 2004 18:03:53 +0200

glib2.0 (2.4.5-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Sun,  1 Aug 2004 17:31:43 +0200

glib2.0 (2.4.4-1) unstable; urgency=low

  * New upstream release.
    - remove spaces before "#pragma alloca" (Closes: #250667).

 -- Sebastien Bacher <seb128@debian.org>  Fri, 16 Jul 2004 18:44:31 +0200

glib2.0 (2.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Sat,  5 Jun 2004 00:51:01 +0200

glib2.0 (2.4.1-2) unstable; urgency=low

  * Upload in unstable.
  * GNOME Team Upload.
  * J.H.M. Dassen (Ray) <jdassen@debian.org>:
    + [debian/rules] Make the linker work a bit harder so dynamic loading can 
      be done faster; safety measure: ensure the build aborts when the library
      still has references to undefined symbols. 

 -- Sebastien Bacher <seb128@debian.org>  Sat, 22 May 2004 14:18:23 +0200

glib2.0 (2.4.1-1) experimental; urgency=low

  * New upstream release.
  * GNOME Team Upload.
  * debian/rules:
    - updated shlib version to 2.4.1.
  
 -- Sebastien Bacher <seb128@debian.org>  Sun,  2 May 2004 12:47:25 +0200

glib2.0 (2.4.0-2) experimental; urgency=low

  * Akira TAGOH <tagoh@debian.org>
  - debian/rules:
    - bumped shlib version to 2.4.0.

 -- Akira TAGOH <tagoh@debian.org>  Wed, 24 Mar 2004 09:12:31 +0900

glib2.0 (2.4.0-1) experimental; urgency=low

  * New upstream release.
  * debian/rules:
    - doh. don't claim the newer shlibs.
  * debian/control:
    - added Uploaders to maintain as team.
    - added gnome-pkg-tools to Build-Depends.
  * debian/docs:
    - added old ChangeLog and NEWS files.

 -- Akira TAGOH <tagoh@debian.org>  Wed, 17 Mar 2004 21:18:00 +0900

glib2.0 (2.2.3-1) unstable; urgency=low



## glib2.0 2.64.2

=== meson_options.txt ===
option('runtime_libdir',
       type : 'string',
       value : '',
       description : 'install runtime libraries relative to libdir')

option('iconv',
       type : 'combo',
       choices : ['auto', 'libc', 'external'],
       value : 'auto',
       description : 'iconv implementation to use (\'libc\' = \'Part of the C library\'; \'external\' = \'External libiconv\'; \'auto\' = \'Auto-detect which iconv is available\')')

option('charsetalias_dir',
       type : 'string',
       value : '',
       description : 'directory for charset.alias dir (default to \'libdir\' if unset)')

option('gio_module_dir',
       type : 'string',
       value : '',
       description : 'load gio modules from this directory (default to \'libdir/gio/modules\' if unset)')

option('selinux',
       type : 'feature',
       value : 'auto',
       description : 'build with selinux support')

option('xattr',
       type : 'boolean',
       value : true,
       description : 'build with xattr support')

option('libmount',
       type : 'feature',
       value : 'auto',
       description : 'build with libmount support')

option('internal_pcre',
       type : 'boolean',
       value : false,
       description : 'whether to use internal PCRE')

option('man',
       type : 'boolean',
       value : false,
       description : 'generate man pages (requires xsltproc)')

option('dtrace',
       type : 'boolean',
       value : false,
       description : 'include tracing support for dtrace')

option('systemtap',
       type : 'boolean',
       value : false,
       description : 'include tracing support for systemtap')

option('tapset_install_dir',
       type : 'string',
       value : '',
       description : 'path where systemtap tapsets are installed')

option('gtk_doc',
       type : 'boolean',
       value : false,
       description : 'use gtk-doc to build documentation')

option('bsymbolic_functions',
       type : 'boolean',
       value : true,
       description : 'link with -Bsymbolic-functions if supported')

option('force_posix_threads',
       type : 'boolean',
       value : false,
       description : 'Also use posix threads in case the platform defaults to another implementation (on Windows for example)')

option('fam',
       type : 'boolean',
       value : false,
       description : 'Use fam for file system monitoring')

option('installed_tests',
       type : 'boolean',
       value : false,
       description : 'enable installed tests')

option('nls',
       type : 'feature',
       value : 'auto',
       yield: true,
       description : 'Enable native language support (translations)')

option('oss_fuzz',
       type : 'feature',
       value : 'disabled',
       description : 'Indicate oss-fuzz build environment')

## glib2.0 2.6.2-1osso8

=== debian/changelog ===
glib2.0 (2.6.2-1osso8) unstable; urgency=low

  * Added gscanner patch from Tommi (bugs 16829 and 16264). It is an update
    to the existing gscanner patch.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 08 Aug 2005 15:22:17 +0300

glib2.0 (2.6.2-1osso7) unstable; urgency=low

  * Added patch for redirecting logging to syslog (bug 16628).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 03 Aug 2005 08:21:23 +0300

=== debian/control ===
Source: glib2.0
Section: libs
Priority: optional
Maintainer: Sebastien Bacher <seb128@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Akira TAGOH <tagoh@debian.org>, Andreas Rottmann <rotty@debian.org>, Andrew Lau <netsnipe@users.sourceforge.net>, Carlos Perelló Marín <carlos@pemas.net>, Edd Dumbill <ejad@debian.org>, Emil Soleyman-Zomalan <emil@nishra.com>, Gustavo Noronha Silva <kov@debian.org>, J.H.M. Dassen (Ray) <jdassen@debian.org>, Johannes Rohr <j.rohr@comlink.org>, Jordi Mallach <jordi@debian.org>, Jose Carlos Garcia Sogo <jsogo@debian.org>, Josselin Mouette <joss@debian.org>, Ondřej Surý <ondrej@debian.org>, Rob Bradford <rob@debianplanet.org>, Rob Taylor <robtaylor@fastmail.fm>, Robert McQueen <robot101@debian.org>, Ross Burton <ross@debian.org>, Takuo KITAME <kitame@debian.org>
Build-Depends: debhelper (>> 4.0.0), pkg-config (>= 0.14.0), gettext, autotools-dev, gnome-pkg-tools
Standards-Version: 3.6.1.0

Package: libglib2.0-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Recommends: libglib2.0-data
Description: The GLib library of C routines
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the shared libraries.

Package: libglib2.0-udeb
Section: debian-installer
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Provides: libglib2.0-0
Description: The GLib library of C routines
 This is a udeb, or a microdeb, for the debian-installer.
 .
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.

Package: libglib2.0-dev
Section: libdevel
Architecture: any
Depends: libglib2.0-0 (= ${Source-Version}), libc6-dev | libc-dev, pkg-config (>= 0.14.0)
Suggests: libglib2.0-doc
Replaces: libglib1.3-dev
Conflicts: libglib1.3-dev
Description: Development files for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package is needed to compile programs against libglib2.0-0,
 as only it includes the header files and static libraries (optionally)
 needed for compiling.

Package: libglib2.0-0-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libglib2.0-0 (= ${Source-Version})
Conflicts: libglib2.0-dbg
Replaces: libglib2.0-dbg
Description: The GLib libraries and debugging symbols
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains unstripped shared libraries. it is provided
 primarily to provide a backtrace with names in a debugger, this makes
 it somewhat easier to interpret core dumps.  The libraries are installed
 in /usr/lib/debug and can be used by placing that directory in
 LD_LIBRARY_PATH.
 Most people will not need this package.

Package: libglib2.0-data
Section: misc
Architecture: all
Depends: libglib2.0-0 (= ${Source-Version})
Replaces: libglib1.3, libglib1.3-data
Conflicts: libglib1.3-data
Description: Common files for GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the common files which the runtime libraries
 need.

Package: libglib2.0-doc
Section: doc
Architecture: all
Depends: lynx | www-browser
Replaces: libglib1.3-doc
Conflicts: libglib1.3-doc
Suggests: libgtk2.0-doc
Description: Documentation files for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the HTML documentation for the GLib library
 in /usr/share/doc/libglib2.0-doc/ .

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

include debian/scripts/vars
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
BUILD_DIR=$(SOURCE_DIR)/$(TAR_DIR)
BUILD_DEB_DIR=$(SOURCE_DIR)/$(TAR_DIR)-deb
BUILD_UDEB_DIR=$(SOURCE_DIR)/$(TAR_DIR)-udeb

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# Ensure the build aborts when there are still references to undefined
# symbols.
LDFLAGS += -Wl,-z,defs

# Make the linker work a bit harder so dynamic loading can be done faster
LDFLAGS += -Wl,-O1
CFLAGS += -UENABLE_NLS

##
debversion=$(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //')
version=$(shell echo ${debversion} | sed -e 's/-[A-Za-z0-9\.]*$$//g' -e 's/+[A-Za-z0-9\.]*$$//g')
major=$(shell echo ${version} | sed -e 's/\(^[0-9]*\)\.[0-9]*\.[0-9]*$$/\1/')
minor=$(shell echo ${version} | sed -e 's/^[0-9]*\.\([0-9]*\)\.[0-9]*$$/\1/')
rel=$(shell echo ${version} | sed -e 's/^[0-9]*\.[0-9]*\.\([0-9]*\)$$/\1/')
shortver=$(major).$(minor)
apiver=2.0
soname=0
gtkver=2.0
shver=2.6.0
libpath=$(CURDIR)/$(BUILD_DEB_DIR)/glib/.libs:$(CURDIR)/$(BUILD_DEB_DIR)/gmodule/.libs:$(CURDIR)/$(BUILD_DEB_DIR)/gobject/.libs:$(CURDIR)/$(BUILD_DEB_DIR)/gthread/.libs
udeblibpath=$(CURDIR)/$(BUILD_UDEB_DIR)/glib/.libs:$(CURDIR)/$(BUILD_UDEB_DIR)/gmodule/.libs:$(CURDIR)/$(BUILD_UDEB_DIR)/gobject/.libs:$(CURDIR)/$(BUILD_UDEB_DIR)/gthread/.libs
udebname=libglib$(apiver)-udeb_$(debversion)_$(shell dpkg-architecture -qDEB_BUILD_ARCH).udeb

_echo_cfiles = for f in ${1}; do if [ -f $$f ]; then echo $$f; fi; done
cfiles := $(shell $(call _echo_cfiles, $(wildcard debian/libglib$(apiver)-@SONAME@.*)))


debian/control:
	dh_testdir

	sed -e 's/@SONAME@/${soname}/g' -e 's/@VERSION@/${version}/g' -e 's/@GNOME_TEAM@/${uploaders}/' $@.in > $@

extract: $(STAMP_DIR)/extract-stamp
$(STAMP_DIR)/extract-stamp:
	dh_testdir

	$(MAKE) -f debian/sys-build.mk source.make

	-test -r /usr/share/misc/config.sub && \
	   cp -f /usr/share/misc/config.sub $(BUILD_DIR)/config.sub
	-test -r /usr/share/misc/config.guess && \
	   cp -f /usr/share/misc/config.guess $(BUILD_DIR)/config.guess

	touch $@

configure-deb: extract $(STAMP_DIR)/configure-deb-stamp
$(STAMP_DIR)/configure-deb-stamp:
	dh_testdir

	cp -ar $(BUILD_DIR) $(BUILD_DEB_DIR)

	# Add here commands to configure the package.
	cd $(BUILD_DEB_DIR) && \
	env LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" ./configure \
			--host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) \
			--prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--with-html-dir=\$${prefix}/share/doc/libglib$(apiver)-doc \
			--enable-static

	cd $(BUILD_DEB_DIR) && \
	sed < libtool > libtool-2 \
	 -e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
	 -e '/^archive_cmds="/s/"$$/ \\$$deplibs"/' && \
	mv libtool-2 libtool

	touch $@

configure-udeb: extract $(STAMP_DIR)/configure-udeb-stamp
$(STAMP_DIR)/configure-udeb-stamp:
	dh_testdir

	cp -ar $(BUILD_DIR) $(BUILD_UDEB_DIR)

	# Add here commands to configure the package.
	cd $(BUILD_UDEB_DIR) && \
	env LDFLAGS="$(LDFLAGS)" ./configure \
			--host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) \
			--prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info

	cd $(BUILD_UDEB_DIR) && \
	sed < libtool > libtool-2 \
	 -e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
	 -e '/^archive_cmds="/s/"$$/ \\$$deplibs"/' && \
	mv libtool-2 libtool

	touch $@

configure: configure-deb configure-udeb

build-deb: debian/control configure-deb $(STAMP_DIR)/build-deb-stamp
$(STAMP_DIR)/build-deb-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C $(BUILD_DEB_DIR) \
		LD_LIBRARY_PATH=$(libpath):$(LD_LIBRARY_PATH)

	touch $@

build-udeb: debian/control configure-udeb $(STAMP_DIR)/build-udeb-stamp
$(STAMP_DIR)/build-udeb-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C $(BUILD_UDEB_DIR) \
		LD_LIBRARY_PATH=$(udeblibpath):$(LD_LIBRARY_PATH)

	touch $@

build: build-deb

clean:: debian/control
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	$(MAKE) -f debian/sys-build.mk source.clean
	-rm -rf $(BUILD_DEB_DIR)
	-rm -rf $(BUILD_UDEB_DIR)
	-rm -rf $(STAMP_DIR)

	dh_clean

install-test: $(STAMP_DIR)/install-test-stamp
$(STAMP_DIR)/install-test-stamp:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# generating debian files from .in
	for f in ${cfiles}; do \
		cp $$f `echo $$f | sed -e 's/@SONAME@/${soname}/g'`; \
	done

	for f in `find debian/ -name "[^c]*.in"`; do \
		sed -e 's/@VERSION@/${version}/g' $$f > `echo $$f | sed -e 's/\.in//'`; \
	done

	touch $@

install-deb: build-deb install-test
	# Add here commands to install the package into debian/tmp
	$(MAKE) -C $(BUILD_DEB_DIR) install \
		prefix=$(CURDIR)/debian/libglib$(apiver)-$(soname)/usr

install-udeb: build-udeb install-test
	# Add here commands to install the package into debian/tmp
	$(MAKE) -C $(BUILD_UDEB_DIR) install \
		prefix=$(CURDIR)/debian/tmp/usr

	# clean the unnecessary files up
	rm -rf debian/tmp/usr/share/gtk-doc

	dh_movefiles
	-rm -rf $(CURDIR)/debian/libglib$(apiver)-udeb/usr/share/doc

	-find $(CURDIR)/debian/ -type d -empty ! -regex '.*/var.*' -prune | xargs rmdir -p 2>&1 > /dev/null

install: install-deb
	dh_movefiles --sourcedir=debian/libglib$(apiver)-$(soname) -Nlibglib$(apiver)-udeb
	-find $(CURDIR)/debian/ -type d -empty | xargs rmdir -p 2>&1 > /dev/null

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i

	dh_installdocs -i

	rm -rf $(CURDIR)/debian/libglib$(apiver)-data/usr/share/doc/libglib$(apiver)-data
	dh_link -plibglib$(apiver)-data \
		usr/share/doc/libglib$(apiver)-$(soname) \
		usr/share/doc/libglib$(apiver)-data
	dh_link -plibglib$(apiver)-doc \
		usr/share/doc/libgtk$(gtkver)-doc/gtk \
		usr/share/doc/libglib$(apiver)-doc/gtk

	# create the symlinks on /usr/share/gtk-doc/html
	for i in glib gobject; do				\
		dh_link -plibglib$(apiver)-doc			\
			usr/share/doc/libglib$(apiver)-doc/$$i	\
			usr/share/gtk-doc/html/$$i;		\
	done

	dh_installexamples -i
	dh_installinfo -i
	dh_installchangelogs -i $(BUILD_DIR)/ChangeLog
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install binary-arch-udeb
	dh_testdir -a
	dh_testroot -a

	dh_installdocs -a

	rm -rf $(CURDIR)/debian/libglib$(apiver)-$(soname)-dbg/usr/share/doc/libglib$(apiver)-$(soname)-dbg
	rm -rf $(CURDIR)/debian/libglib$(apiver)-dev/usr/share/doc/libglib$(apiver)-dev
	dh_link -plibglib$(apiver)-$(soname)-dbg \
		usr/share/doc/libglib$(apiver)-$(soname) \
		usr/share/doc/libglib$(apiver)-$(soname)-dbg
	dh_link -plibglib$(apiver)-dev \
		usr/share/doc/libglib$(apiver)-$(soname) \
		usr/share/doc/libglib$(apiver)-dev

	dh_installexamples -a
	dh_installmenu -a
	dh_installman -plibglib$(apiver)-dev
	dh_installinfo -a
	dh_installchangelogs -a $(BUILD_DIR)/ChangeLog
	dh_strip -a --dbg-package=libglib$(apiver)-$(soname)
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -Nlibglib$(apiver)-$(soname)-dbg
	dh_makeshlibs	-plibglib$(apiver)-$(soname) \
			-V "libglib${apiver}-${soname} (>= ${shver})"
	dh_installdeb -a
	dh_shlibdeps -l$(libpath) -a
	cat debian/*/DEBIAN/shlibs > debian/shlibs.local
	dh_gencontrol -a -Nlibglib$(apiver)-udeb

=== debian/watch ===
version=2
ftp://ftp.gnome.org/pub/GNOME/sources/glib/2.6/ \
	glib-(.*)\.tar\.gz \
	debian uupdate

## glib2.0 2.8.6-1osso5

=== debian/changelog ===
glib2.0 (2.8.6-1osso5) unstable; urgency=low

  * version of 2.8 with patch to NB#24380 

 -- Tapani Palli <tapani.palli@nokia.com>  Wed, 17 May 2006 13:26:25 +0300

glib2.0 (2.8.6-1osso4) unstable; urgency=low

  * glib/gmem.h: Don't use // comments in C<99 code 

 -- Tapani Palli <tapani.palli@nokia.com>  Fri, 10 Mar 2006 13:24:00 +0200

glib2.0 (2.8.6-1osso3) unstable; urgency=low

  * glib/gmem.h: Don't use // comments in C<99 code

 -- Johan Bilien <johan.bilien@nokia.com>  Thu,  9 Mar 2006 17:43:45 +0200

glib2.0 (2.8.6-1osso2) unstable; urgency=low

  * took Jorn's patch from http://bugzilla.gnome.org/show_bug.cgi?id=332312 

 -- Tapani Päll <tapani.palli@nokia.com>  Tue,  7 Mar 2006 11:26:41 +0200

glib2.0 (2.8.6-1osso1) unstable; urgency=low

  * Upgrade to glib 2.8.6
  * debian/control.in: set myself as maintainer

 -- Tapani Päll <tapani.palli@nokia.com>  Fri,  4 Jan 2006 10:53:00 +0100

glib2.0 (2.6.6-1osso2) unstable; urgency=low

  * merged g_slice*() from upstream
  * debian/rules: new API, bump shlibs
  * debian/control.in: set myself as maintainer

 -- Tommi Komulainen <tommi.komulainen@nokia.com>  Wed,  4 Jan 2006 17:58:10 +0200

glib2.0 (2.6.6-1osso1) unstable; urgency=low

  * Upgrade to glib 2.6.6
  * debian/*: redo packaging to build directly from svn trunk
  * debian/control: add gtk-doc-tools to Build-Depends as it's needed for
    autogen
  * debian/rules: configure with --disable-gtk-doc as the docs won't build
    properly with currently available tools

 -- Tommi Komulainen <tommi.komulainen@nokia.com>  Fri,  2 Dec 2005 12:24:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Sebastien Bacher <seb128@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Akira TAGOH <tagoh@debian.org>, Andreas Rottmann <rotty@debian.org>, Andrew Lau <netsnipe@users.sourceforge.net>, Carlos Perelló Marín <carlos@pemas.net>, Edd Dumbill <ejad@debian.org>, Emil Soleyman-Zomalan <emil@nishra.com>, Gustavo Noronha Silva <kov@debian.org>, J.H.M. Dassen (Ray) <jdassen@debian.org>, Johannes Rohr <j.rohr@comlink.org>, Jordi Mallach <jordi@debian.org>, Jose Carlos Garcia Sogo <jsogo@debian.org>, Josselin Mouette <joss@debian.org>, Ondřej Surý <ondrej@debian.org>, Rob Bradford <rob@debianplanet.org>, Rob Taylor <robtaylor@fastmail.fm>, Robert McQueen <robot101@debian.org>, Ross Burton <ross@debian.org>, Takuo KITAME <kitame@debian.org>
-Build-Depends: debhelper (>> 4.0.0), pkg-config (>= 0.14.0), gettext, autotools-dev, gnome-pkg-tools
+Maintainer: Tapani Palli <tapani.palli@nokia.com>
+Build-Depends: debhelper (>> 4.0.0), pkg-config (>= 0.14.0), gettext, autotools-dev, gtk-doc-tools
 Standards-Version: 3.6.1.0
 
 Package: libglib2.0-0
@@ -17,19 +16,6 @@
  C library used by projects such as GTK+, GIMP, and GNOME.
  .
  This package contains the shared libraries.
-
-Package: libglib2.0-udeb
-Section: debian-installer
-Priority: optional
-Architecture: any
-Depends: ${shlibs:Depends}
-Provides: libglib2.0-0
-Description: The GLib library of C routines
- This is a udeb, or a microdeb, for the debian-installer.
- .
- GLib is a library containing many useful C routines for things such
- as trees, hashes, lists, and strings.  It is a useful general-purpose
- C library used by projects such as GTK+, GIMP, and GNOME.
 
 Package: libglib2.0-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

SOURCE_DIR=$(CURDIR)
BUILD_DEB_DIR=$(SOURCE_DIR)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# Ensure the build aborts when there are still references to undefined
# symbols.
LDFLAGS += -Wl,-z,defs

# Make the linker work a bit harder so dynamic loading can be done faster
LDFLAGS += -Wl,-O1
CFLAGS += -UENABLE_NLS

##
debversion=$(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //')
version=$(shell echo ${debversion} | sed -e 's/-[A-Za-z0-9\.]*$$//g' -e 's/+[A-Za-z0-9\.]*$$//g')
major=$(shell echo ${version} | sed -e 's/\(^[0-9]*\)\.[0-9]*\.[0-9]*$$/\1/')
minor=$(shell echo ${version} | sed -e 's/^[0-9]*\.\([0-9]*\)\.[0-9]*$$/\1/')
rel=$(shell echo ${version} | sed -e 's/^[0-9]*\.[0-9]*\.\([0-9]*\)$$/\1/')
shortver=$(major).$(minor)
apiver=2.0
soname=0
gtkver=2.0
shver=2.8.6-1osso1
libpath=$(BUILD_DEB_DIR)/glib/.libs:$(BUILD_DEB_DIR)/gmodule/.libs:$(BUILD_DEB_DIR)/gobject/.libs:$(BUILD_DEB_DIR)/gthread/.libs

_echo_cfiles = for f in ${1}; do if [ -f $$f ]; then echo $$f; fi; done
cfiles := $(shell $(call _echo_cfiles, $(wildcard debian/libglib$(apiver)-@SONAME@.*)))


debian/control:
	dh_testdir

	sed -e 's/@SONAME@/${soname}/g' -e 's/@VERSION@/${version}/g' $@.in > $@

$(SOURCE_DIR)/configure:
	AUTOGEN_SUBDIR_MODE=1 $(SOURCE_DIR)/autogen.sh

configure-deb: $(BUILD_DEB_DIR)/config.status
$(BUILD_DEB_DIR)/config.status: $(SOURCE_DIR)/configure
	dh_testdir

	# Add here commands to configure the package.
	cd $(BUILD_DEB_DIR) && \
	env LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" ./configure \
			--host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) \
			--prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--with-html-dir=\$${prefix}/share/doc/libglib$(apiver)-doc \
			--enable-static \
			--disable-gtk-doc

	cd $(BUILD_DEB_DIR) && \
	sed < libtool > libtool-2 \
	 -e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
	 -e '/^archive_cmds="/s/"$$/ \\$$deplibs"/' && \
	mv libtool-2 libtool

	touch $@

configure: configure-deb

build-deb: debian/control configure-deb $(BUILD_DEB_DIR)/build-stamp
$(BUILD_DEB_DIR)/build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C $(BUILD_DEB_DIR) \
		LD_LIBRARY_PATH=$(libpath):$(LD_LIBRARY_PATH)

	touch $@

build: build-deb

clean: debian/control
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	-$(MAKE) maintainer-clean
	rm -f gobject/gmarshal.strings
	rm -f configure config.guess ltmain.sh config.sub aclocal.m4
	rm -f depcomp mkinstalldirs missing install-sh config.h.in
	find -name Makefile.in | xargs --no-run-if-empty rm

	dh_clean $(SOURCE_DIR)/install-test-stamp $(BUILD_DEB_DIR)/build-stamp debian/shlibs.local

install-test: $(SOURCE_DIR)/install-test-stamp
$(SOURCE_DIR)/install-test-stamp:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# generating debian files from .in
	for f in ${cfiles}; do \
		cp $$f `echo $$f | sed -e 's/@SONAME@/${soname}/g'`; \
	done

	for f in `find debian/ -name "[^c]*.in"`; do \
		sed -e 's/@VERSION@/${version}/g' $$f > `echo $$f | sed -e 's/\.in//'`; \
	done

	touch $@

install-deb: build-deb install-test
	# Add here commands to install the package into debian/tmp
	$(MAKE) -C $(BUILD_DEB_DIR) install \
		prefix=$(CURDIR)/debian/libglib$(apiver)-$(soname)/usr

install: install-deb
	dh_movefiles --sourcedir=debian/libglib$(apiver)-$(soname)
	-find $(CURDIR)/debian/ -type d -empty | xargs rmdir -p 2>&1 > /dev/null

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i

	dh_installdocs -i

	rm -rf $(CURDIR)/debian/libglib$(apiver)-data/usr/share/doc/libglib$(apiver)-data
	dh_link -plibglib$(apiver)-data \
		usr/share/doc/libglib$(apiver)-$(soname) \
		usr/share/doc/libglib$(apiver)-data
	dh_link -plibglib$(apiver)-doc \
		usr/share/doc/libgtk$(gtkver)-doc/gtk \
		usr/share/doc/libglib$(apiver)-doc/gtk

	# create the symlinks on /usr/share/gtk-doc/html
	for i in glib gobject; do				\
		dh_link -plibglib$(apiver)-doc			\
			usr/share/doc/libglib$(apiver)-doc/$$i	\
			usr/share/gtk-doc/html/$$i;		\
	done

	dh_installexamples -i
	dh_installinfo -i
	dh_installchangelogs -i $(SOURCE_DIR)/ChangeLog
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a

	dh_installdocs -a

	rm -rf $(CURDIR)/debian/libglib$(apiver)-$(soname)-dbg/usr/share/doc/libglib$(apiver)-$(soname)-dbg
	rm -rf $(CURDIR)/debian/libglib$(apiver)-dev/usr/share/doc/libglib$(apiver)-dev
	dh_link -plibglib$(apiver)-$(soname)-dbg \
		usr/share/doc/libglib$(apiver)-$(soname) \
		usr/share/doc/libglib$(apiver)-$(soname)-dbg
	dh_link -plibglib$(apiver)-dev \
		usr/share/doc/libglib$(apiver)-$(soname) \
		usr/share/doc/libglib$(apiver)-dev

	dh_installexamples -a
	dh_installmenu -a
	dh_installman -plibglib$(apiver)-dev
	dh_installinfo -a
	dh_installchangelogs -a $(SOURCE_DIR)/ChangeLog
	dh_strip -a --dbg-package=libglib$(apiver)-$(soname)
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -Nlibglib$(apiver)-$(soname)-dbg
	dh_makeshlibs	-plibglib$(apiver)-$(soname) \
			-V "libglib${apiver}-${soname} (>= ${shver})"
	dh_installdeb -a
	dh_shlibdeps -l$(libpath) -a
	cat debian/*/DEBIAN/shlibs > debian/shlibs.local
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build build-deb clean binary-indep binary-arch binary install install-deb install-test configure configure-deb extract debian/control

=== debian/watch ===
version=2
ftp://ftp.gnome.org/pub/GNOME/sources/glib/2.8/ \
	glib-(.*)\.tar\.gz \
	debian uupdate

## glib2.0 2.8.6-1osso11

=== debian/changelog ===
glib2.0 (2.8.6-1osso11) unstable; urgency=low

  * applied patch from Jussi Laako for gthread/gthread-posix.c
  * Fixes: NB#47178 (glib faults on realtime scheduling)

 -- Tapani Palli <tapani.palli@nokia.com>  Mon, 20 Nov 2006 13:49:01 +0200

glib2.0 (2.8.6-1osso10) unstable; urgency=low

  * Fixes NB#38815 (enabled paraller build options) 

 -- Tapani Palli <tapani.palli@nokia.com>  Fri,  6 Oct 2006 09:43:07 +0300

glib2.0 (2.8.6-1osso9) unstable; urgency=low

  * reverted patch to NB#37096 (caused build problems)

 -- Tapani Palli <tapani.palli@nokia.com>  Tue, 15 Aug 2006 13:11:12 +0300

glib2.0 (2.8.6-1osso8) unstable; urgency=low

  * enabled thumb flag, fixes NB#26705
  * restore noreturn attributes and compile gmessages.c with
    -fno-omit-frame-pointer, fixes NB#37096
  * backported upstream patch to g_parse_debug_string(), fixes NB#37690

 -- Tapani Palli <tapani.palli@nokia.com>  Thu, 15 Aug 2006 11:23:54 +0300

glib2.0 (2.8.6-1osso7) unstable; urgency=low

  * remove unneeded files, fixes NB#35623,
  * disable __noreturn__ in arm, fixes NB#35624
  * applied '-g' compilation flag to get .debug_frame, fixes NB#32643
  * disabled thumb flag for now

 -- Tapani Palli <tapani.palli@nokia.com>  Mon, 24 Jul 2006 09:46:10 +0300

glib2.0 (2.8.6-1osso6) unstable; urgency=low

  * applied thumb code generation flag 

 -- Tapani Palli <tapani.palli@nokia.com>  Wed, 24 May 2006 14:01:51 +0300

=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,26 @@
 
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
+	CFLAGS += -O0 -g
 else
-	CFLAGS += -O2
-endif
+	CFLAGS += -O2 -g
+endif
+
+# Use soft-float and thumb mode if it enabled. 
+ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mthumb
+endif
+
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
+endif
+
+ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
+	NJOBS_OPT := $(shell ( \
+		expr x"$$DEB_BUILD_OPTIONS" : x'.*parallel=\([0-9][0-9]*\)' \
+		|| grep -c ^processor /proc/cpuinfo 2>/dev/null             \
+		) | sed -n -e '/[1-9]/s/^/-j/p' )
+	MAKEFLAGS += $(NJOBS_OPT)
 endif
 
 # Ensure the build aborts when there are still references to undefined
@@ -82,8 +96,8 @@
 
 configure: configure-deb
 
-build-deb: debian/control configure-deb $(BUILD_DEB_DIR)/build-stamp
-$(BUILD_DEB_DIR)/build-stamp:
+build-deb: debian/control $(BUILD_DEB_DIR)/build-stamp
+$(BUILD_DEB_DIR)/build-stamp: configure-deb
 	dh_testdir
 
 	# Add here commands to compile the package.
@@ -135,6 +149,8 @@
 	-find $(CURDIR)/debian/ -type d -empty | xargs rmdir -p 2>&1 > /dev/null
 
 # Build architecture-independent files here.
+binary-indep-after-arch: binary-arch
+binary-indep-after-arch \
 binary-indep: build install
 	dh_testdir -i
 	dh_testroot -i
@@ -200,5 +216,5 @@
 	dh_md5sums -a
 	dh_builddeb -a
 
-binary: binary-indep binary-arch
-.PHONY: build build-deb clean binary-indep binary-arch binary install install-deb install-test configure configure-deb extract debian/control
+binary: binary-arch binary-indep-after-arch
+.PHONY: build build-deb clean binary-indep-after-arch binary-indep binary-arch binary install install-deb install-test configure configure-deb extract debian/control

## glib2.0 2.12.4-1osso1

=== debian/changelog ===
glib2.0 (2.12.4-1osso1) unstable; urgency=low

  * upgrade to version 2.12.4 

 -- Tapani Pälli <tapani.palli@nokia.com>  Wed,  1 Nov 2006 15:05:42 +0200

glib2.0 (2.10.2-1osso2) unstable; urgency=low

  * shlibs change -> package version bump 

 -- Tapani Pälli <tapani.palli@nokia.com>  Thu, 27 Apr 2006 11:14:06 +0300

glib2.0 (2.10.2-1osso1) unstable; urgency=low

  * Upgrade to glib 2.10.2

 -- Tapani Pälli <tapani.palli@nokia.com>  Fri,  7 Apr 2006 10:53:00 +0100

=== debian/rules ===
--- 
+++ 
@@ -15,26 +15,12 @@
 
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0 -g
+	CFLAGS += -O0
 else
-	CFLAGS += -O2 -g
+	CFLAGS += -O2
 endif
-
-# Use soft-float and thumb mode if it enabled. 
-ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mthumb
-endif
-
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
-endif
-
-ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
-	NJOBS_OPT := $(shell ( \
-		expr x"$$DEB_BUILD_OPTIONS" : x'.*parallel=\([0-9][0-9]*\)' \
-		|| grep -c ^processor /proc/cpuinfo 2>/dev/null             \
-		) | sed -n -e '/[1-9]/s/^/-j/p' )
-	MAKEFLAGS += $(NJOBS_OPT)
 endif
 
 # Ensure the build aborts when there are still references to undefined
@@ -55,7 +41,7 @@
 apiver=2.0
 soname=0
 gtkver=2.0
-shver=2.8.6-1osso1
+shver=2.10.2-1osso2
 libpath=$(BUILD_DEB_DIR)/glib/.libs:$(BUILD_DEB_DIR)/gmodule/.libs:$(BUILD_DEB_DIR)/gobject/.libs:$(BUILD_DEB_DIR)/gthread/.libs
 
 _echo_cfiles = for f in ${1}; do if [ -f $$f ]; then echo $$f; fi; done
@@ -89,6 +75,7 @@
 	cd $(BUILD_DEB_DIR) && \
 	sed < libtool > libtool-2 \
 	 -e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
+	 -e 's/0 | \[1-9\] | \[1-9\]\[0-9\] | \[1-9\]\[0-9\]\[0-9\])/0|\[1-9\]|\[1-9\]\[0-9\]|\[1-9\]\[0-9\]\[0-9\]|\[1-9\]\[0-9\]\[0-9\]\[0-9\]|\[1-9\]\[0-9\]\[0-9\]\[0-9\]\[0-9\])/' \
 	 -e '/^archive_cmds="/s/"$$/ \\$$deplibs"/' && \
 	mv libtool-2 libtool
 
@@ -96,8 +83,8 @@
 
 configure: configure-deb
 
-build-deb: debian/control $(BUILD_DEB_DIR)/build-stamp
-$(BUILD_DEB_DIR)/build-stamp: configure-deb
+build-deb: debian/control configure-deb $(BUILD_DEB_DIR)/build-stamp
+$(BUILD_DEB_DIR)/build-stamp:
 	dh_testdir
 
 	# Add here commands to compile the package.
@@ -149,8 +136,6 @@
 	-find $(CURDIR)/debian/ -type d -empty | xargs rmdir -p 2>&1 > /dev/null
 
 # Build architecture-independent files here.
-binary-indep-after-arch: binary-arch
-binary-indep-after-arch \
 binary-indep: build install
 	dh_testdir -i
 	dh_testroot -i
@@ -206,15 +191,17 @@
 	dh_strip -a --dbg-package=libglib$(apiver)-$(soname)
 	dh_compress -a
 	dh_fixperms -a
-	dh_makeshlibs -a -Nlibglib$(apiver)-$(soname)-dbg
-	dh_makeshlibs	-plibglib$(apiver)-$(soname) \
-			-V "libglib${apiver}-${soname} (>= ${shver})"
+
+# shlibs
+	dh_makeshlibs -a -Nlibglib$(apiver)-dbg
+	dh_makeshlibs -n -X usr/lib/glib-$(apiver) -plibglib$(apiver)-$(soname)$(suffix) -V "libglib${apiver}-${soname}${suffix} (>= 2.10.2)"
 	dh_installdeb -a
 	dh_shlibdeps -l$(libpath) -a
 	cat debian/*/DEBIAN/shlibs > debian/shlibs.local
+
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a
 
-binary: binary-arch binary-indep-after-arch
-.PHONY: build build-deb clean binary-indep-after-arch binary-indep binary-arch binary install install-deb install-test configure configure-deb extract debian/control
+binary: binary-indep binary-arch
+.PHONY: build build-deb clean binary-indep binary-arch binary install install-deb install-test configure configure-deb extract debian/control

## glib2.0 2.12.12-1osso1

=== debian/changelog ===
glib2.0 (2.12.12-1osso1) unstable; urgency=low

  * Backport GSlice debug-blocks from upstream gtk+ trunk.
  * Upgrade to glib 2.12.12
  * Ensure added symbols appear in API docs
  * debian/rules: do not compress index.sgml for gtkdoc-fixxref benefit

 -- Fernando Herrera <fernando.herrera-de-las-heras@nokia.com>  Wed, 16 May 2007 16:32:55 +0200

## glib2.0 2.12.12-1osso2

=== debian/changelog ===
glib2.0 (2.12.12-1osso2) unstable; urgency=low

  * GObjectClass.constructed() backported from upstream glib trunk.

 -- Fernando Herrera <fernando.herrera-de-las-heras@nokia.com>  Wed, 24 May 2007 17:59:55 +0200

=== debian/rules ===
--- 
+++ 
@@ -160,7 +160,7 @@
 	dh_installexamples -i
 	dh_installinfo -i
 	dh_installchangelogs -i $(SOURCE_DIR)/ChangeLog
-	dh_compress -i
+	dh_compress -i -Xindex.sgml
 	dh_fixperms -i
 	dh_installdeb -i
 	dh_gencontrol -i
@@ -189,7 +189,7 @@
 	dh_installinfo -a
 	dh_installchangelogs -a $(SOURCE_DIR)/ChangeLog
 	dh_strip -a --dbg-package=libglib$(apiver)-$(soname)
-	dh_compress -a
+	dh_compress -a -Xindex.sgml
 	dh_fixperms -a
 
 # shlibs

## glib2.0 2.12.12-1osso3

=== debian/changelog ===
glib2.0 (2.12.12-1osso3) unstable; urgency=low

  * updated rules files to match correct version

 -- Fernando Herrera <fernando.herrera-de-las-heras@nokia.com>  Wed, 24 May 2007 18:15:55 +0200

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 apiver=2.0
 soname=0
 gtkver=2.0
-shver=2.10.2-1osso2
+shver=2.12.12-1osso3
 libpath=$(BUILD_DEB_DIR)/glib/.libs:$(BUILD_DEB_DIR)/gmodule/.libs:$(BUILD_DEB_DIR)/gobject/.libs:$(BUILD_DEB_DIR)/gthread/.libs
 
 _echo_cfiles = for f in ${1}; do if [ -f $$f ]; then echo $$f; fi; done
@@ -194,7 +194,7 @@
 
 # shlibs
 	dh_makeshlibs -a -Nlibglib$(apiver)-dbg
-	dh_makeshlibs -n -X usr/lib/glib-$(apiver) -plibglib$(apiver)-$(soname)$(suffix) -V "libglib${apiver}-${soname}${suffix} (>= 2.10.2)"
+	dh_makeshlibs -n -X usr/lib/glib-$(apiver) -plibglib$(apiver)-$(soname)$(suffix) -V "libglib${apiver}-${soname}${suffix} (>= 2.12.12-1osso3)"
 	dh_installdeb -a
 	dh_shlibdeps -l$(libpath) -a
 	cat debian/*/DEBIAN/shlibs > debian/shlibs.local

## glib2.0 2.12.12-1osso6

=== debian/changelog ===
glib2.0 (2.12.12-1osso6) unstable; urgency=low

  * backport glib upstream trunk fixes for GSLice late thread initialization.

 -- Fernando Herrera <fernando.herrera-de-las-heras@nokia.com>  Tue, 31 Jul 2007 15:48:41 +0300

glib2.0 (2.12.12-1osso5) unstable; urgency=low

  * Released a new package including just one m4 revert beacuse scratchbox
    causing problems.

 -- Fernando Herrera <fernando.herrera-de-las-heras@nokia.com>  Wed, 21 Jun 2007 16:57:55 +0200

glib2.0 (2.12.12-1osso4) unstable; urgency=low

  * Added -g to debian/rules to get correct debug packages

 -- Fernando Herrera <fernando.herrera-de-las-heras@nokia.com>  Wed, 07 Jun 2007 17:57:55 +0200

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,9 @@
 
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
+	CFLAGS += -O0 -g
 else
-	CFLAGS += -O2
+	CFLAGS += -O2 -g
 endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
@@ -41,7 +41,7 @@
 apiver=2.0
 soname=0
 gtkver=2.0
-shver=2.12.12-1osso3
+shver=2.12.12-1osso5
 libpath=$(BUILD_DEB_DIR)/glib/.libs:$(BUILD_DEB_DIR)/gmodule/.libs:$(BUILD_DEB_DIR)/gobject/.libs:$(BUILD_DEB_DIR)/gthread/.libs
 
 _echo_cfiles = for f in ${1}; do if [ -f $$f ]; then echo $$f; fi; done

## glib2.0 2.12.12-1osso7

=== debian/changelog ===
glib2.0 (2.12.12-1osso7) unstable; urgency=low

  * Enable floating point. Patch by Leonid  Moiseichuk. Fixes: NB#61971

 -- Fernando Herrera <fernando.herrera-de-las-heras@nokia.com>  Thu, 30 Aug 2007 17:38:21 +0300

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,18 @@
 else
 	CFLAGS += -O2 -g
 endif
+
+# Prefer hardware floating point if enabled
+ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mfpu=vfp -mfloat-abi=softfp
+else
+# Use soft-float and thumb mode if it enabled.
+ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mthumb
+endif
+endif
+
+
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif

=== debian/watch ===
version=2
ftp://ftp.gnome.org/pub/GNOME/sources/glib/2.10/ \
	glib-(.*)\.tar\.gz \
	debian uupdate

## glib2.0 2.12.12-1osso8

=== debian/changelog ===
glib2.0 (2.12.12-1osso8) unstable; urgency=low

  * compile gmessages.c with -fno-omit-frame-pointer. Fixes: NB#68368

 -- Fernando Herrera <fernando.herrera-de-las-heras@nokia.com>  Thu, 10 Sep 2007 10:44:21 +0300

## glib2.0 2.12.12-1osso9

=== debian/changelog ===
glib2.0 (2.12.12-1osso9) unstable; urgency=low

  * Reintroduce GScanner cache. Fixes: NB#61907
  * debian/rules: --enable-gtk-doc (with nodocs DEB_BUILD_OPTIONS support)
    (Fixes: NB#69302)

 -- Tommi Komulainen <tommi.komulainen@nokia.com>  Fri, 14 Sep 2007 16:41:24 +0300

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,11 @@
 endif
 endif
 
+ifeq (,$(findstring nodocs,$(DEB_BUILD_OPTIONS)))
+ENABLE_GTK_DOC = --enable-gtk-doc
+else
+ENABLE_GTK_DOC = --disable-gtk-doc
+endif
 
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
@@ -82,7 +87,7 @@
 			--infodir=\$${prefix}/share/info \
 			--with-html-dir=\$${prefix}/share/doc/libglib$(apiver)-doc \
 			--enable-static \
-			--disable-gtk-doc
+			$(ENABLE_GTK_DOC)
 
 	cd $(BUILD_DEB_DIR) && \
 	sed < libtool > libtool-2 \

## glib2.0 2.12.12-1osso10

=== debian/changelog ===
glib2.0 (2.12.12-1osso10) unstable; urgency=low

  * Fix shlibs in debian/rules

 -- Fernando Herrera <fernando.herrera-de-las-heras@nokia.com>  Thu, 21 Sep 2007 10:44:21 +0300

## glib2.0 2.12.12-1osso13

=== debian/changelog ===
glib2.0 (2.12.12-1osso13) unstable; urgency=low

  * Revert  realtime scheduling for GThreadPools, it breaks ABI.

 -- Xan Lopez <xan.lopez@nokia.com>  Tue, 18 Dec 2007 16:00:19 +0200

glib2.0 (2.12.12-1osso12) unstable; urgency=low

  * Blah, actually include the test. 

 -- Xan Lopez <xan.lopez@nokia.com>  Mon, 10 Dec 2007 14:58:50 +0200

glib2.0 (2.12.12-1osso11) unstable; urgency=low

  * Add realtime scheduling for GThreadPools and atomic operations for ARM.

 -- Xan Lopez <xan.lopez@nokia.com>  Mon, 10 Dec 2007 14:54:28 +0200

=== debian/rules ===
--- 
+++ 
@@ -211,7 +211,7 @@
 
 # shlibs
 	dh_makeshlibs -a -Nlibglib$(apiver)-dbg
-	dh_makeshlibs -n -X usr/lib/glib-$(apiver) -plibglib$(apiver)-$(soname)$(suffix) -V "libglib${apiver}-${soname}${suffix} (>= 2.12.12-1osso3)"
+	dh_makeshlibs -n -X usr/lib/glib-$(apiver) -plibglib$(apiver)-$(soname)$(suffix) -V "libglib${apiver}-${soname}${suffix} (>= 2.12.12-1osso10)"
 	dh_installdeb -a
 	dh_shlibdeps -l$(libpath) -a
 	cat debian/*/DEBIAN/shlibs > debian/shlibs.local
